Name:           rl
Version:        0.6
Release:        4%{?dist}
Summary:        A self-contained C++ library for robot kinematics, motion planning and control

License:        BSD
URL:            http://roblib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/roblib/%{name}-%{version}-src.tar.gz

# Use the correct FindDoxygen.cmake variables
Patch0:         %{name}-%{version}-cmake-doxygen.patch

# Build correctly against bullet 2.81
Patch1:         %{name}-%{version}-bullet-2.81.patch

# Build correctly against boost 1.50
Patch2:         %{name}-%{version}-boost-1.50.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  boost-static
BuildRequires:  bullet-extras-devel >= 2.81
BuildRequires:  CGAL-devel 
BuildRequires:  Coin2-devel 
BuildRequires:  eigen3-devel 
BuildRequires:  freeglut-devel 
BuildRequires:  libdc1394-devel
BuildRequires:  libxml2-devel 
BuildRequires:  libXmu-devel
BuildRequires:  qt-devel 
BuildRequires:  SOLID-devel
BuildRequires:  SoQt-devel 

%description
%{summary}.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake
Requires:       boost-static
Requires:       bullet-devel  >= 2.81
Requires:       bullet-extras-devel >= 2.81
Requires:       CGAL-devel 
Requires:       Coin2-devel 
Requires:       eigen3-devel 
Requires:       freeglut-devel 
Requires:       libdc1394-devel
Requires:       libxml2-devel 
Requires:       libXmu-devel
Requires:       qt-devel 
Requires:       SOLID-devel 
Requires:       SoQt-devel 

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Multilib ...
find . -name CMakeLists.txt -exec sed -i "s#DESTINATION lib#DESTINATION %{_libdir}#g" '{}' \;


%build
%cmake -DCMAKE_VERBOSE_MAKEFILE=ON .
make %{?_smp_mflags}
make doc

%check
# It fails its own test suite on x86
%ifarch x86_64
make test
%endif


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Move the documentation into the correct place
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

# Move the executables from the "examples" directory into /usr/bin
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/examples/* $RPM_BUILD_ROOT%{_bindir}

# Nothing useful remains in /usr/share now
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

# Put the cmake config files where they will be found
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/cmake/%{name}
mv $RPM_BUILD_ROOT%{_libdir}/*.cmake $RPM_BUILD_ROOT%{_libdir}/cmake/%{name} 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc LICENSE LICENSE.GPL
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%doc LICENSE LICENSE.GPL
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/%{name}


%changelog
* Mon Dec  3 2012 Mary Ellen Foster <mefoster at gmail.com> 0.6-4
- Updates to deal with Boost 1.50.0

* Mon Oct 29 2012 Mary Ellen Foster <mefoster at gmail.com> 0.6-3
- Rebuild against bullet 2.81

* Mon Oct 22 2012 Mary Ellen Foster <mefoster at gmail.com> 0.6-2
- Slight updates, use upstream tarball
- Only run "make test" on x86_64 because it currently fails on i686

* Mon Jul  9 2012 Mary Ellen Foster <mefoster at gmail.com> 0.6-1
- 0.6 release
- Build documentation

* Fri Jun  1 2012 Mary Ellen Foster <mefoster at gmail.com> 0.5.1-4.svn219
- Add *-devel requirements to the devel subpackage
- Remove the Find*.cmake; all you need is rl-config.cmake

* Wed May 30 2012 Mary Ellen Foster <mefoster at gmail.com> 0.5.1-3.svn219
- Rename from roblib to rl

* Mon May 28 2012 Mary Ellen Foster <mefoster at gmail.com> 0.5.1-2.svn219
- Install FindRl*.cmake instead of rl-config.cmake
- Install coach-* executables into /usr/bin

* Fri May 18 2012 Mary Ellen Foster <mefoster at gmail.com> 0.5.1-1.svn219
- Initial package
